spring:
  rabbitmq:
    host: localhost
    port: 5672
    username: guest
    password: guest
        
#durid configuration
  datasource:
 #   type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://mysql5.7:3306/crsh2?useUnicode=true&characterEncoding=utf-8&autoReconnect=true&allowMultiQueries=true
    username: crsh
    password: Suntray&wuhan123
    initialSize: 0
    minIdle: 0
    maxActive: 1000
    maxWait: -1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 1800000
    validationQuery: SELECT 1 FROM DUAL
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxPoolPreparedStatementPerConnectionSize: 20
    filters: log4j,wall,mergeStat,config  #不能跟proxyFilters同时使用
#    proxyFilters : WallFilter  #为了批量跟新添加定制Filters
    connectionProperties: config.decrypt=false
    removeAbandoned: true
    druid.removeAbandonedTimeout: 600
#    useGlobalDataSourceStat: true
      
    
#  redis:
#    host: 59.110.26.65
#    port: 16379
#    password: 
#    database: 1
#    pool:
#      maxActive: 5000
#      maxWait: 2000
#      maxIdle: 500
#      minIdle: 0
#      retryNum: 3
#    timeout: 500
  http:
    encoding:
      charset: UTF-8
      enabled: true
      force: true
  cloud:
      loadbalancer:
          retry:
              enabled: false
  freemarker:
    charset: UTF-8
    suffix: .html
    template-loader-path: classpath:/static/
server:
  tomcat:
    uri-encoding: UTF-8
    max-threads: 100
    min-spare-threads: 20
  connection-timeout: 5000
ribbon:
  hystrix:
    enabled: false
  MaxAutoRetries: 0
  MaxAutoRetriesNextServer: 0
  ReadTimeout: 200000
  ConnectTimeout: 90000
logging:
  file: ${spring.application.name}.log
  level:
    root: INFO
    com:
      devplatform: DEBUG
    jdbc.sqltiming: DEBUG

feign:
  hystrix:
    enabled: false
#端点
management:
  endpoints:
    web:
      exposure:
        include: "health, info, mappings, metrics, loggers, shutdown, pause, resume"
  endpoint:
    health:
      show-details: ALWAYS

mybatis: 
    mapper-locations: classpath:com/devplatform/*/mybatis/*.xml

fastdfs:
  tracker_servers: 106.39.82.12:22122
  connect_timeout_in_seconds: 100000
  network_timeout_in_seconds: 300000
  charset: UTF-8
  http_anti_steal_token: false
  http_secret_key: FastDFS1234567890
  http_tracker_http_port: 80